Kerbal Space Program - Bug #23996

CPU usage is considerably higher than 1.7.3
10/21/2019 04:41 PM - Anth12

Status: Updated Start date: 10/22/2019
Severity: Low % Done: 10%
Assignee: Technicalfool

Category: Gameplay

Target version:

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.8.0 MH + BG
Intel 19 9900K

32gb of ram

nvidia 1080 gtx

| am doing a new career for 1.8. | went into the science building to get to the archive screen, go away from the computer
to come back and find that the liquid cooling fans are extremely loud.

The CPU was doing 66% usage which is extremely high for what it was doing at the time, being in the archive screen.

Here is the following data | was able to collect because it seems that the different buildings in the KSC screen cause
different CPU usages which then affect the archive screen.

New Career

1.7.3
All building lowest cpu 15% Archive Screen 30.5%

Science Building upgrade 1 16%  Archive Screen 31.4%
Science Building upgrade 2 17%  Archive Screen 32%
All buildings fully upgraded 15.5%  Archive Screen 30%

1.8.0
All building lowest cpu 37% Archive Screen 51%

Science Building upgrade 1 51%  Archive Screen 59%
Science Building upgrade 2 34%  Archive Screen 50%
All buildings fully upgraded 18%  Archive Screen 39%

| bought the CPU for KSP. that was the primary motivation.
Its up for the challenge, but other peoples computers are going to suffer if they have the same problem.

Not entirely sure what category this is, and will try Gameplay

History

#1 - 10/24/2019 02:34 PM - Technicalfool
- File system load 1.8.0.png added

- File system load 1.7.3.png added

- File system load baseline.png added

- Status changed from New to Need More Info

This may require more testing and examples before it can be confirmed, denied, or determined to be happening on one or all platforms. Test was
performed with an i7 7700K on Linux Ubuntu 18.0.4 LTS, idling at the Science Archives screen for some minutes, on builds 1.7.3 and 1.8.0.
Are there any mods in use, and are they updated for 1.8.07

#2 - 10/24/2019 03:43 PM - Anth12
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

No mods, maybe its related to the settings | had at the time.
| will try them in a default configuration.

#3 - 10/24/2019 04:18 PM - Technicalfool

- Assignee set to Technicalfool

#4 - 10/24/2019 05:11 PM - Anth12

- File 1.7.3 KSC 1 RnD upgrade.png added

- File 1.7.3 Archive 1 RnD upgrade.png added

- File 1.8.0 KSC 1 RnD upgrade.png added

- File 1.8.0 Archive 1 RnD upgrade.png added

- File 1.8.0 KSC Fully Upgraded Buildings.png added

- File 1.8.0 Archive Fully Upgrade Buildings.png added
- File persistent.sfs added

- File settings.cfg added
Heres more information via using windows 10 to show the CPU utilization
settings.cfg is from 1.7.3 after deleting the previous, set music = 0, set to showing version information

persistent.sfs is KSC with 1 RnD upgrade.

Added an additional 2 screenshots with a fully upgraded KSC to show how much lower the computer is working.
Might be more than just the RnD building that is having issues.

Files

screenshot11.png 422 KB 10/21/2019 Anth12
system load 1.8.0.png 74.7 KB 10/24/2019 Technicalfool
system load 1.7.3.png 74.8 KB 10/24/2019 Technicalfool
system load baseline.png 66 KB 10/24/2019 Technicalfool
1.7.3 KSC 1 RnD upgrade.png 760 KB 10/24/2019 Anth12
1.7.3 Archive 1 RnD upgrade.png 328 KB 10/24/2019 Anth12
1.8.0 KSC 1 RnD upgrade.png 994 KB 10/24/2019 Anth12
1.8.0 Archive 1 RnD upgrade.png 330 KB 10/24/2019 Anth12
1.8.0 KSC Fully Upgraded Buildings.png 1 MB 10/24/2019 Anth12
1.8.0 Archive Fully Upgrade Buildings.png 341 KB 10/24/2019 Anth12
persistent.sfs 17.7 KB 10/24/2019 Anth12
settings.cfg 34.5 KB 10/24/2019 Anth12
